EDIT - bug #6776

Restored Specimen Editor does not load conversation => NPE
07/04/2017 10:35 AM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.8

Severity: normal Found in Version:

Description

If the TaxEditor is startet and a Specimen Editor is restored because it was opened before closing TaxEditor, this Specimen Editor
can not be used for editing data.

If one does so an NPE is thrown due to a missing conversation in

public void save (IProgressMonitor monitor) {
String taskName = Messages.DerivateView_SAVING_HIERARCHY;
monitor.beginTask (taskName, 3);
324: if (!conversation.isBound()) {
conversation.bind();
}

monitor.worked(1l);

login : admin
editor version : 4.8.0.201707040636
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 4.7.0.0.201710040000
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.eclipse.ed.core.di.InjectionException: java.lang.NullPointerException
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:13

at org.eclipse.ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. j
ava:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
488)

at org.eclipse.ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.
java:210)

at org.eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContri
butionItem. java:433)

at org.eclipse.e4d.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (Ab
stractContributionItem. java:454)

at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractCo
ntributionItem. java:482)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4d4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:l
022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.editor.view.derivate.DerivateView.save (DerivateView. java:324)

at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:40)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

36 more

Associated revisions

Revision a21952bb - 07/04/2017 12:04 PM - Patrick Plitzner

ref #6776 do not render specimen editor when conversation not active

Revision 1818a5f4 - 07/06/2017 11:47 AM - Patrick Plitzner
fix #6776 ref #6745 Parts with tag "nonRestore" will not be persisted

e they will be removed from the application model before it is saved

Revision 0cf9635f - 07/06/2017 02:55 PM - Patrick Plitzner
fix #6776 ref #6745 Parts with tag "nonRestore" will not be persisted

o they will be removed from the application model before it is saved

History

#1 - 07/06/2017 11:47 AM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|1818a5f433e4e613193c16d03053b20eb4db5201.

#2 - 07/06/2017 12:04 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#3 - 07/07/2017 07:49 PM - Andreas Miuller

- Description updated

#4 - 07/07/2017 08:07 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Patrick Plitzner

This seems to be fixed as the Specimen Editor does not restore anymore. But there is a new critical issue: #6787
